r366 - vdr/vdr-plugin-dvd/trunk/debian

Thomas Schmidt pkg-vdr-dvb-changes@lists.alioth.debian.org
Fri, 01 Apr 2005 23:10:33 +0000


Author: tschmidt
Date: 2005-04-01 23:10:33 +0000 (Fri, 01 Apr 2005)
New Revision: 366

Added:
   vdr/vdr-plugin-dvd/trunk/debian/postinst
   vdr/vdr-plugin-dvd/trunk/debian/postrm
Removed:
   vdr/vdr-plugin-dvd/trunk/debian/links
Log:
vdr-plugin-dvd:
	* Now using postinst to create the dvd link
	* Added postrm to remove the dvd link on purge


Deleted: vdr/vdr-plugin-dvd/trunk/debian/links
===================================================================
--- vdr/vdr-plugin-dvd/trunk/debian/links	2005-04-01 21:53:37 UTC (rev 365)
+++ vdr/vdr-plugin-dvd/trunk/debian/links	2005-04-01 23:10:33 UTC (rev 366)
@@ -1 +0,0 @@
-dev/dvd var/cache/vdr/dvd

Added: vdr/vdr-plugin-dvd/trunk/debian/postinst
===================================================================
--- vdr/vdr-plugin-dvd/trunk/debian/postinst	2005-04-01 21:53:37 UTC (rev 365)
+++ vdr/vdr-plugin-dvd/trunk/debian/postinst	2005-04-01 23:10:33 UTC (rev 366)
@@ -0,0 +1,29 @@
+#! /bin/sh
+# postinst script for vdr-plugin-dvd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+#
+# main()
+#
+case "$1" in
+    configure)
+        if [ ! -L /var/cache/vdr/dvd ] ; then
+            ln -s /dev/dvd /var/cache/vdr/dvd || true
+        fi
+    ;;
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+    *)
+        echo "postinst called with unknown argument '$1'" >&2
+        exit 1
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: vdr/vdr-plugin-dvd/trunk/debian/postrm
===================================================================
--- vdr/vdr-plugin-dvd/trunk/debian/postrm	2005-04-01 21:53:37 UTC (rev 365)
+++ vdr/vdr-plugin-dvd/trunk/debian/postrm	2005-04-01 23:10:33 UTC (rev 366)
@@ -0,0 +1,39 @@
+#! /bin/sh
+# postrm script for vdr-plugin-#PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+    	# Delete the dvd link when purging the package
+    	rm -f /var/cache/vdr/dvd > /dev/null 2>&1 || true
+    ;;
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0